---
category: [Administration & Integrations, Administration & Integrations/Custom Integrations & Apps, Platform and Product Extensions, Platform and Product Extensions/Workday Extend, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: WQL Aliases
layout: subsection
---

<a id="section_N10021_N1001E_N10001"></a>
When you create Workday Query Language (WQL) queries, you use aliases to refer to:

-   Data sources.
-   Data source filters.
-   Fields and calculated fields.
-   Parameters (built-in prompts).


All Workday-delivered objects have a corresponding WQL alias. Workday creates aliases for calculated fields, whether Workday-delivered or not. You can edit aliases for calculated fields.

## <a id="section_jwq_qh2_psb"></a>Retrieving Aliases by REST API Calls

You can return WQL aliases by calling the appropriate REST API endpoint.

Base URL: `https://{hostname}/api/wql/{version}/{tenant}`

Base URL for Workday Extend: `https://api.workday.com/wql/{version}`

<table><thead><tr><th>Alias</th><th>REST API Endpoint</th></tr></thead><tbody><tr><td>All data sources.</td><td><code>GET {baseURL}/dataSources</code></td></tr><tr><td>Single data source.</td><td><code>GET {baseURL}/dataSources/{WorkdayID}</code></td></tr><tr><td>All data source filters and associated prompts.</td><td><code>GET {baseURL}/dataSources/{WorkdayID}/dataSourceFilters</code></td></tr><tr><td>Single data source filter and associated prompts.</td><td><code>GET {baseURL}/dataSources/{WorkdayID}/dataSourceFilters/{WorkdayID}</code></td></tr><tr><td>Fields and calculated fields.</td><td><code>GET {baseURL}/dataSources/{WorkdayID}/fields</code></td></tr></tbody></table><br/>

## <a id="section_jvy_gl2_psb"></a>Retrieving Aliases in Workday

To retrieve aliases, you can:

-   Create a custom report on the <b>Data Sources</b> or <b>Fields</b> report data source using the <b>WQL Alias</b> report field. The report returns the WQL alias only for data sources that Workday has enabled for reporting.
-   View WQL aliases for fields, calculated fields, or data sources from the related actions menu.


<b>Note:</b> To ensure the aliases you specify in your query are correct:

1.  Call the `GET /dataSources` endpoint to determine the ID (also known as the Workday ID, or WID) for your datasource. Use the `alias` query parameter to filter the list of data sources.
2.  Call the `GET /dataSources/{ID}` endpoint to view the details of your data source using the WID from the `GET /dataSources` call. `The GET /dataSources/{ID}` endpoint returns the correct aliases to use in your query.


